// ★コメント未記入
// PlugInKeyInputDlg.cpp : インプリメンテーション ファイル
//

#include "stdafx.h"
#include "shitarabian.h"
#include "PlugInKeyInputDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPlugInKeyInputDlg ダイアログ


CPlugInKeyInputDlg::CPlugInKeyInputDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPlugInKeyInputDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPlugInKeyInputDlg)
		// メモ - ClassWizard はこの位置にマッピング用のマクロを追加または削除します。
	//}}AFX_DATA_INIT
}


void CPlugInKeyInputDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPlugInKeyInputDlg)
		// メモ - ClassWizard はこの位置にマッピング用のマクロを追加または削除します。
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPlugInKeyInputDlg, CDialog)
	//{{AFX_MSG_MAP(CPlugInKeyInputDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPlugInKeyInputDlg メッセージ ハンドラ


BOOL CPlugInKeyInputDlg::PreTranslateMessage(MSG* pMsg) 
{
	// TODO: この位置に固有の処理を追加するか、または基本クラスを呼び出してください
	switch( pMsg->message )
	{
	case WM_KEYDOWN:
	case WM_CHAR:
		{
			UCHAR	unKey = (UCHAR)pMsg->wParam;
			switch( unKey )
			{
			case VK_SHIFT:
			case VK_CONTROL:
			case VK_MENU:
				break;
			default:
				{
					m_iKey = unKey;
					m_bShift = ::GetAsyncKeyState( VK_SHIFT ) &0x8000;
					m_bCtrl = ::GetAsyncKeyState( VK_CONTROL ) &0x8000;
					m_bAlt = ::GetAsyncKeyState( VK_MENU ) &0x8000;
					EndDialog( IDOK );
				}
				break;
			}
		}
		break;

	default:
		break;
	}
	return CDialog::PreTranslateMessage(pMsg);
}
